Bug 456057 - (CVE-2008-3231) CVE-2008-3231 xine-lib: crash on zzuf test case lol-ffplay.ogg
CVE-2008-3231 xine-lib: crash on zzuf test case lol-ffplay.ogg
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=?
: Security
Depends On: 455752
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 05:19 EDT by Tomas Hoger
Modified: 2008-10-01 14:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 14:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-07-21 05:19:59 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3231 to the following vulnerability:

xine allows user-assisted attackers to cause a denial of service
(application crash) via a crafted OGG file, as demonstrated by
lol-ffplay.ogg.

Crasher file:
http://sam.zoy.org/zzuf/lol-ffplay.ogg

References:
http://www.openwall.com/lists/oss-security/2008/07/13/3
http://libcaca.zoy.org/wiki/zzuf/bugs
Comment 1 Kevin Kofler 2008-07-21 12:37:37 EDT
No patch from upstream appears to be available yet, nor does the "advisory" 
provide one.
Comment 2 Fedora Update System 2008-09-10 02:45:46 EDT
xine-lib-1.1.15-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-09-10 03:09:20 EDT
xine-lib-1.1.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Red Hat Product Security 2008-10-01 14:23:26 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7572
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7512

Note You need to log in before you can comment on or make changes to this bug.